Tp::Profile::Parameter Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::Profile::Parameter Class Reference
Utililty classes

The Profile::Parameter class represents a parameter defined in .profile files. More...

`#include <TelepathyQt/Profile>`

## Public Member Functions
| Parameter ()
| Parameter (const Parameter &other)
| Parameter (const QString &name, const QDBusSignature &dbusSignature, const QVariant &value, const QString &label, bool mandatory)
| ~Parameter ()
QString | name () const
QDBusSignature | dbusSignature () const
QVariant::Type | type () const
QVariant | value () const
QString | label () const
bool | isMandatory () const
Parameter & | operator= (const Parameter &other)

## Detailed Description

The Profile::Parameter class represents a parameter defined in .profile files.

## Constructor & Destructor Documentation

Tp::Profile::Parameter::Parameter | ( |  | ) |

Construct a new Profile::Parameter object.

Tp::Profile::Parameter::Parameter | ( | const Parameter & | other | ) |

Construct a new Profile::Parameter object that is a copy of other.

Tp::Profile::Parameter::Parameter | ( | const QString & | name,
|  | const QDBusSignature & | dbusSignature,
|  | const QVariant & | value,
|  | const QString & | label,
|  | bool | mandatory
| ) |  |

Construct a new Profile::Parameter object.

Parameters

  name | The parameter name.
  dbusSignature | The parameter D-Bus signature.
  value | The parameter value.
  label | The parameter label.
  mandatory | Whether this parameter is mandatory.

Tp::Profile::Parameter::~Parameter | ( |  | ) |

Class destructor.

## Member Function Documentation

QString Tp::Profile::Parameter::name | ( |  | ) | const

Return the name of this parameter.

Returns
  The name of this parameter.

QDBusSignature Tp::Profile::Parameter::dbusSignature | ( |  | ) | const

Return the D-Bus signature of this parameter.

Returns
  The D-Bus signature of this parameter.

QVariant::Type Tp::Profile::Parameter::type | ( |  | ) | const

Return the QVariant::Type of this parameter, constructed using dbusSignature().

Returns
  The QVariant::Type of this parameter.

QVariant Tp::Profile::Parameter::value | ( |  | ) | const

Return the value of this parameter.

If mandatory() returns `true`, the value must not be modified and should be used as is when creating accounts for this profile.

Returns
  The value of this parameter.

QString Tp::Profile::Parameter::label | ( |  | ) | const

Return the human-readable label of this parameter.

Returns
  The human-readable label of this parameter.

bool Tp::Profile::Parameter::isMandatory | ( |  | ) | const

Return whether this parameter is mandatory, or whether the value returned by value() should be used as is when creating accounts for this profile.

Returns
  `true` if mandatory, otherwise `false`.

Profile::Parameter & Tp::Profile::Parameter::operator= | ( | const Parameter & | other | ) |